import React from 'react';
import { Icon, IconProps } from '../Icon';


export const IconHome = (props: IconProps) => {
    return <Icon  id="IconHome" {...props}>
        <path fillRule="evenodd" clipRule="evenodd" d="M11.3753 2.71913C11.7405 2.42696 12.2595 2.42696 12.6247 2.71913L20.1245 8.71897C20.1244 8.71891 20.1246 8.71902 20.1245 8.71897L22.6247 10.7191C23.056 11.0641 23.1259 11.6934 22.7809 12.1247C22.4359 12.556 21.8066 12.6259 21.3753 12.2809L20.5 11.5806V21.5C20.5 22.0523 20.0523 22.5 19.5 22.5H4.5C3.94771 22.5 3.5 22.0523 3.5 21.5V11.5806L2.62469 12.2809C2.19343 12.6259 1.56414 12.556 1.21913 12.1247C0.87412 11.6934 0.944042 11.0641 1.3753 10.7191L3.8753 8.71913C3.8752 8.71921 3.8754 8.71905 3.8753 8.71913L11.3753 2.71913ZM5.5 9.98062L12 4.78062L18.5 9.98062V20.5H15.5V15C15.5 14.4477 15.0523 14 14.5 14H9.5C8.94771 14 8.5 14.4477 8.5 15V20.5H5.5V9.98062ZM10.5 20.5H13.5V16H10.5V20.5Z" />
    </Icon>;
};

export default IconHome;
